:root {
  --spacer-size: 0px;
}

.c-spacer {
  padding-block: calc(var(--spacer-size) / 2);
}

.c-spacer__divider {
  background-color: var(--crp-color-medium-gray);
  block-size: 2px;
  inline-size: 100%;
  margin-block: -2px 0;
  margin-inline: 0;
  width: 100%;
}

.c-spacer--none {
  --spacer-size: 0px;
}

.c-spacer--small {
  --spacer-size: var(--crp-space-gap-12);
}

.c-spacer--large {
  --spacer-size: var(--crp-space-gap-32);
}